<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- bootstrap link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<title>Bootstrap Introduction and Simple Styles</title>
</head>
<body class="text-center bg-secondary">

	<!-- Header -->
	<div class="mt-4">
		<h1>Bootstrap Introduction and Simple Styles</h1>
	</div>
	<!-- End of Header -->

	<!-- Image -->
	<div class="d-none d-lg-inline-block w-25 mt-4">
		<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid rounded-circle bg-white">
	</div>

	<div class="container-fluid">
	<!--Bootstrap Color Classes Table  -->

		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td><a href=""class="text-primary">Primary Link</a></td>
					<td class="bg-primary text-white">Primary</td>
				</tr>
				<tr>
					<td><a href=""class="text-secondary">Secondary Link</a></td>
					<td class="bg-secondary text-white">Secondary</td>
				</tr>
				<tr>
					<td><a href=""class="text-success">Success Link</a></td>
					<td class="bg-success text-white">Success</td>
				</tr>
				<tr>
					<td><a href=""class="text-danger">Danger Link</a></td>
					<td class="bg-danger text-white">Danger</td>
				</tr>
				<tr>
					<td><a href=""class="text-warning">Warning Link</a></td>
					<td class="bg-warning text-white">Warning</td>
				</tr>
				<tr>
					<td><a href=""class="text-info">Info Link</a></td>
					<td class="bg-info text-white">Info</td>
				</tr>
				<tr>
					<td><a href=""class="text-light">Light Link</a></td>
					<td class="bg-light text-dark">Light</td>
				</tr>
				<tr>
					<td><a href=""class="text-dark">Dark Link</a></td>
					<td class="bg-dark text-white">Dark</td>
				</tr>
				<tr>
					<td><a href=""class="text-muted">Muted Link</a></td>
					<td class="bg-muted text-white">Muted</td>
				</tr>
				<tr>
					<td><a href=""class="text-white">White Link</a></td>
					<td class="bg-white text-dark">White</td>
				</tr>

			</tbody>
		</table>

		<!-- Bootstrap Text Alignment Classes Table -->
		<!-- In Bootstrap 4 test-alignment uses left and right -->
		<!-- In Bootstrap 5 test-alignment uses start and end -->

		<table class="table table-dark text-light">
			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>
				<!-- breakpoint -->
				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>
				<tr>
					<td class="text-md-left">Medium Left</td>
				</tr>
				<tr>
					<td class="text-lg-right">Large Right</td>
				</tr>
				<tr>
					<td class="text-xl-center">Extra Large Center</td>
				</tr>
			</tbody>
		</table>

		<!-- 3. Bootstrap Text Transform Classes Table -->
		<table class="table table-dark text-light">
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-lowercase font-weight-bold">LOWERCASED BOLD TEXT</td>
				</tr>
				<tr>
					<td class="text-uppercase font-weight-normal">uppercased normal text</td>
				</tr>
				<tr>
					<td class="text-capitalize font-weight-light">capitalized light text</td>
				</tr>
				<tr>
					<td class="text-decoration-none">
					<a href="" class="font-italic">Non-underlined Italic Link</a>
					</td>
				</tr>
			</tbody>
		</table>

		<!-- 4. Bootstrap Border and Sizing Classes-->
		<h2>Bootstrap Border and Sizing Classes</h2>
		<table class="table table-dark text-light">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<div class="border rounded border-primary bg-info">Rounded</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="border rounded-circle border-white bg-secondary">Rounded Circle</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="border rounded-pill border-danger bg-warning">Rounded Pill</div>
					</td>
				</tr>
 			</tbody>
		</table>

		<div class="p-2"></div>

		<!-- 5. Fixed Top and Bottom -->

		<div class="fixed-top bg-primary text-white">
			Fixed Top - Navbar
		</div>

		<div class="fixed-bottom bg-primary text-white">
			Fixed Bottom - Footer
		</div>

	</div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>